aboutsummaryrefslogtreecommitdiffstats
path: root/sysconfig
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2005-01-12 16:40:40 +0000
committerBill Nottingham <notting@redhat.com>2005-01-12 16:40:40 +0000
commite471b451ca68a21441da3eea35919b4b7c627b6e (patch)
treeb1c56fca9c543f5407219a8ad29ebe64db6ea62b /sysconfig
parent6206c0832810488618f74482773068c0ccf45f77 (diff)
downloadinitscripts-e471b451ca68a21441da3eea35919b4b7c627b6e.tar
initscripts-e471b451ca68a21441da3eea35919b4b7c627b6e.tar.gz
initscripts-e471b451ca68a21441da3eea35919b4b7c627b6e.tar.bz2
initscripts-e471b451ca68a21441da3eea35919b4b7c627b6e.tar.xz
initscripts-e471b451ca68a21441da3eea35919b4b7c627b6e.zip
clean up whitespace <pb@bieringer.de>
Diffstat (limited to 'sysconfig')
-rwxr-xr-xsysconfig/network-scripts/init.ipv6-global10
-rw-r--r--sysconfig/network-scripts/network-functions-ipv630
2 files changed, 20 insertions, 20 deletions
diff --git a/sysconfig/network-scripts/init.ipv6-global b/sysconfig/network-scripts/init.ipv6-global
index 4047c986..48187fc5 100755
--- a/sysconfig/network-scripts/init.ipv6-global
+++ b/sysconfig/network-scripts/init.ipv6-global
@@ -31,10 +31,10 @@
-. /etc/sysconfig/network
+. /etc/sysconfig/network
cd /etc/sysconfig/network-scripts
-. network-functions
+. network-functions
# Get action and hook position
ACTION="$1"
@@ -49,7 +49,7 @@ POSITION="$2"
# Initialize IPv6, depending on caller option
case $ACTION in
start)
- case $POSITION in
+ case $POSITION in
pre)
# IPv6 test, module loaded, exit if system is not IPv6-ready
ipv6_test || exit 1
@@ -124,7 +124,7 @@ case $ACTION in
;;
stop)
- case $POSITION in
+ case $POSITION in
pre)
# IPv6 test, no module loaded, exit if system is not IPv6-ready
ipv6_test testonly || exit 0
@@ -168,7 +168,7 @@ case $ACTION in
# Run only basic tests, no module is loaded, if not ok, skip IPv6 initialization
ipv6_test testonly || exit 0
- # Show sysctl switches
+ # Show sysctl switches
sysctl -a | grep "^net\.ipv6\.conf\.default\." | awk -F. '{ print $5 }' | awk -F= '{ print $1 }' | sed 's/ //g' | while read switch; do
sysctl -a | grep "^net\.ipv6\.conf\." | awk -F. '{ print $4 }' | sort -u | while read interface; do
sysctl net.ipv6.conf.$interface.$switch
diff --git a/sysconfig/network-scripts/network-functions-ipv6 b/sysconfig/network-scripts/network-functions-ipv6
index 7b8e039b..fb04ed83 100644
--- a/sysconfig/network-scripts/network-functions-ipv6
+++ b/sysconfig/network-scripts/network-functions-ipv6
@@ -845,15 +845,15 @@ ipv6_create_6to4_prefix() {
fi
if [ $major1 -eq 0 ]; then
- local block1="`printf "%x" $minor1`"
- else
+ local block1="`printf "%x" $minor1`"
+ else
local block1="`printf "%x%02x" $major1 $minor1`"
- fi
+ fi
if [ $major2 -eq 0 ]; then
- local block2="`printf "%x" $minor2`"
- else
+ local block2="`printf "%x" $minor2`"
+ else
local block2="`printf "%x%02x" $major2 $minor2`"
- fi
+ fi
local prefix6to4="2002:$block1:$block2"
@@ -1059,14 +1059,14 @@ ipv6_add_tunnel_device() {
fi
if [ -z "$addressipv4tunnel" ]; then
- ipv6_log $"Missing parameter 'IPv4-tunnel address' (arg 2)" err $fn
+ ipv6_log $"Missing parameter 'IPv4-tunnel address' (arg 2)" err $fn
return 1
fi
if [ -z "$addressipv4tunnellocal" ]; then
local addressipv4tunnellocal="any"
fi
-
+
ipv6_test || return 2
if ! ipv6_test_device_status $device; then
@@ -1142,7 +1142,7 @@ ipv6_del_tunnel_device() {
return 1
fi
- ipv6_test testonly || return 2
+ ipv6_test testonly || return 2
if ipv6_test_device_status $device; then
ipv6_cleanup_device $device
@@ -1172,7 +1172,7 @@ ipv6_del_tunnel_device() {
ipv6_cleanup_tunnel_devices() {
local fn="ipv6_cleanup_tunnel_devices"
- ipv6_test testonly || return 2
+ ipv6_test testonly || return 2
# Find still existing tunnel devices and shutdown and delete them
@@ -1209,7 +1209,7 @@ ipv6_get_ipv4addr_of_tunnel() {
return 1
fi
- ipv6_test testonly || return 2
+ ipv6_test testonly || return 2
ipv6_test_device_status $device
@@ -1303,7 +1303,7 @@ ipv6_set_mtu() {
return 1
fi
- ipv6_test testonly || return 2
+ ipv6_test testonly || return 2
# Check whether key exists
ipv6_exec_sysctl net.ipv6.conf.$device.mtu >/dev/null 2>&1
@@ -1340,7 +1340,7 @@ ipv6_set_default_route() {
if [ -n "$address" ]; then
local addressgw=`echo $address | awk -F% '{ print $1 }'`
local device_scope=`echo $address | awk -F% '{ print $2 }'`
-
+
if [ -z "$addressgw" ]; then
ipv6_log $"Given IPv6 default gateway '$address' is not in proper format" err $fn
return 3
@@ -1426,7 +1426,7 @@ ipv6_test_route_requires_next_hop() {
return 1
fi
- ipv6_test testonly || return 2
+ ipv6_test testonly || return 2
ipv6_test_device_status $device
@@ -1460,7 +1460,7 @@ ipv6_trigger_radvd() {
local pidfile=$3
if [ -z "$reason" ]; then
- ipv6_log $"No reason given for sending trigger to radvd" err $fn
+ ipv6_log $"No reason given for sending trigger to radvd" err $fn
return 1
fi